Bug 172263 - [maintainer-update] converters/bsdconv and converters/{p5,php5,py,ruby}-bsdconv 9.0
[maintainer-update] converters/bsdconv and converters/{p5,php5,py,ruby}-bsdco...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 07:50 UTC by buganini
Modified: 2012-10-08 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (7.87 KB, patch)
2012-10-02 07:50 UTC, buganini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2012-10-02 07:50:03 UTC
Update converters/bsdconv and its wrappers to 9.0

Changelog for converters/bsdconv:
	9.0:
	fix for MinGW
	export bsdconv_malloc/bsdconv_free
	add {from,to}/CCCII
	add inter/ZH-STRINGS
	internal API changes for use of bsdconv_ctl in wrappers
	bugfixes

	8.0:
	add flush function into callback interface
	for supporting inter/OPENCC* ( http://github.com/buganini/bsdconv-opencc )
	sync data from project chvar
	update inter/KANA_PHONETIC
	use double data type for score value
	add inter/TRIM-WIDTH

Changelog for converters/{p5,php5,py,ruby}-bsdconv:
	update/add ctl function
	add mktemp/fopen function

Buildlog:
	bsdconv:	https://redports.org/buildarchive/20121002040659-12476/
	p5-bsdconv:	https://redports.org/buildarchive/20121002041050-42516/
	py-bsdconv:	https://redports.org/buildarchive/20121002041055-72205/
	php5-bsdconv:	https://redports.org/buildarchive/20121002041100-48104/
	ruby-bsdconv:	https://redports.org/buildarchive/20121002041105-82036/

Fix: Patch attached with submission follows:
Comment 1 Bryan Drewery freebsd_committer 2012-10-04 15:11:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 2 Bryan Drewery freebsd_committer 2012-10-08 17:12:13 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter freebsd_committer 2012-10-08 17:12:21 UTC
Author: bdrewery
Date: Mon Oct  8 16:12:07 2012
New Revision: 305541
URL: http://svn.freebsd.org/changeset/ports/305541

Log:
  - Update bsdconv and wrappers to 9.0 [1]
  - Switch to USE_GITHUB for fetching
  - Update to new header format
  - Mark converters/bsdconv as MAKE_JOBS_UNSAFE
  - Add prefix into DISTNAMEs to avoid conflicts
  
  Changelog for converters/bsdconv:
   9.0:
    fix for MinGW
    export bsdconv_malloc/bsdconv_free
    add {from,to}/CCCII
    add inter/ZH-STRINGS
    internal API changes for use of bsdconv_ctl in wrappers
    bugfixes
  
   8.0:
    add flush function into callback interface
    for supporting inter/OPENCC* ( http://github.com/buganini/bsdconv-opencc )
    sync data from project chvar
    update inter/KANA_PHONETIC
    use double data type for score value
    add inter/TRIM-WIDTH
  
  Changelog for converters/{p5,php5,py,ruby}-bsdconv:
    update/add ctl function
    add mktemp/fopen function
  
  PR:		ports/172263 [1]
  Submitted by:	Kuan-Chung Chiu <buganini@gmail.com> [1]

Modified:
  head/converters/bsdconv/Makefile
  head/converters/bsdconv/distinfo
  head/converters/bsdconv/pkg-plist
  head/converters/p5-bsdconv/Makefile
  head/converters/p5-bsdconv/distinfo
  head/converters/php5-bsdconv/Makefile
  head/converters/php5-bsdconv/distinfo
  head/converters/py-bsdconv/Makefile
  head/converters/py-bsdconv/distinfo
  head/converters/ruby-bsdconv/Makefile
  head/converters/ruby-bsdconv/distinfo

Modified: head/converters/bsdconv/Makefile
==============================================================================
--- head/converters/bsdconv/Makefile	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/bsdconv/Makefile	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,30 +1,26 @@
-# New ports collection makefile for:	bsdconv
-# Date created:				23 May 2009
-# Whom:					buganini@gmail.com
-#
+# Created by: buganini@gmail.com
 # $FreeBSD$
-#
 
 PORTNAME=	bsdconv
-PORTVERSION=	7.5
+PORTVERSION=	9.0
 CATEGORIES=	converters
-MASTER_SITES=	https://github.com/buganini/${PORTNAME}/tarball/${PORTVERSION}/
-DISTNAME=	buganini-${PORTNAME}-${PORTVERSION}-0-g${GITVERSION}
+DISTNAME=	buganini-${PORTNAME}-${PORTVERSION}-0-g${GH_COMMIT}
 
 MAINTAINER=	buganini@gmail.com
 COMMENT=	BSD licensed charset/encoding converter library
 
 LICENSE=	BSD
 
-GITVERSION=	cf1989b
-FETCH_ARGS=	-pRr
-WRKSRC=		${WRKDIR}/buganini-${PORTNAME}-${GITVERSION}
+USE_GITHUB=	yes
+GH_ACCOUNT=	buganini
+GH_COMMIT=	b514ea8
 
 OPTIONS_DEFINE=	EXTRA
 EXTRA_DESC=	Extra codecs (Chinese specifics)
 
 USE_LDCONFIG=	yes
 
+MAKE_JOBS_UNSAFE=	yes
 MAKE_ARGS=	PREFIX=${PREFIX}
 
 ALL_TARGET=	libbsdconv bsdconv_mktable meta bsdconv codecs_basic

Modified: head/converters/bsdconv/distinfo
==============================================================================
--- head/converters/bsdconv/distinfo	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/bsdconv/distinfo	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,2 +1,2 @@
-SHA256 (buganini-bsdconv-7.5-0-gcf1989b.tar.gz) = b056fbd1cdddb3d021b3331a1f89bae1bfc5783d8971721cc2267724bbf5db06
-SIZE (buganini-bsdconv-7.5-0-gcf1989b.tar.gz) = 4630675
+SHA256 (buganini-bsdconv-9.0-0-gb514ea8.tar.gz) = b1450b19cf9b5089fd528377a04144bd7e05bba756dfbc1e14ee1d3aa0f2f2e5
+SIZE (buganini-bsdconv-9.0-0-gb514ea8.tar.gz) = 5085298

Modified: head/converters/bsdconv/pkg-plist
==============================================================================
--- head/converters/bsdconv/pkg-plist	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/bsdconv/pkg-plist	Mon Oct  8 16:12:07 2012	(r305541)
@@ -2,7 +2,8 @@ bin/bsdconv
 bin/bsdconv_mktable
 include/bsdconv.h
 lib/libbsdconv.so
-lib/libbsdconv.so.7
+lib/libbsdconv.so.9
+%%DATADIR%%/from/00
 %%DATADIR%%/from/3F
 %%DATADIR%%/from/3F.so
 %%DATADIR%%/from/ANSI-CONTROL
@@ -20,7 +21,6 @@ lib/libbsdconv.so.7
 %%DATADIR%%/from/BYTE
 %%DATADIR%%/from/ESCAPE
 %%DATADIR%%/from/ESCAPE.so
-%%DATADIR%%/from/NUL
 %%DATADIR%%/from/PASS
 %%DATADIR%%/from/PASS.so
 %%DATADIR%%/from/SKIP
@@ -72,6 +72,8 @@ lib/libbsdconv.so.7
 %%DATADIR%%/inter/SPLIT.so
 %%DATADIR%%/inter/TO_ALIAS
 %%DATADIR%%/inter/TO_ALIAS.so
+%%DATADIR%%/inter/TRIM-WIDTH
+%%DATADIR%%/inter/TRIM-WIDTH.so
 %%DATADIR%%/inter/UNIX
 %%DATADIR%%/inter/UPPER
 %%DATADIR%%/inter/UPSIDEDOWN
@@ -82,12 +84,15 @@ lib/libbsdconv.so.7
 %%DATADIR%%/inter/WIDTH
 %%DATADIR%%/inter/WIDTH.so
 %%DATADIR%%/inter/WIN
+%%DATADIR%%/inter/ZH-STRINGS
+%%DATADIR%%/inter/ZH-STRINGS.so
 %%DATADIR%%/inter/ZHCN
 %%DATADIR%%/inter/ZHTW
 %%DATADIR%%/inter/ZHTW_WORDS
 %%DATADIR%%/inter/ZH_FUZZY_CN
 %%DATADIR%%/inter/ZH_FUZZY_TW
 %%DATADIR%%/inter/alias
+%%DATADIR%%/to/00
 %%DATADIR%%/to/3F
 %%DATADIR%%/to/3F.so
 %%DATADIR%%/to/ANSI-CONTROL
@@ -117,7 +122,6 @@ lib/libbsdconv.so.7
 %%DATADIR%%/to/BYTE
 %%DATADIR%%/to/CP936_TRANS
 %%DATADIR%%/to/CP950_TRANS
-%%DATADIR%%/to/NUL
 %%DATADIR%%/to/NULL
 %%DATADIR%%/to/NULL.so
 %%DATADIR%%/to/PASS
@@ -155,6 +159,7 @@ lib/libbsdconv.so.7
 %%DATADIR%%/to/_UTF-8
 %%DATADIR%%/to/_UTF-8.so
 %%DATADIR%%/to/alias
+%%EXTRA%%%%DATADIR%%/from/CCCII
 %%EXTRA%%%%DATADIR%%/from/_CNS11643
 %%EXTRA%%%%DATADIR%%/from/_CNS11643.so
 %%EXTRA%%%%DATADIR%%/from/_CP936
@@ -167,11 +172,12 @@ lib/libbsdconv.so.7
 %%EXTRA%%%%DATADIR%%/inter/UNICODE
 %%EXTRA%%%%DATADIR%%/inter/ZH_COMP
 %%EXTRA%%%%DATADIR%%/inter/ZH_DECOMP
+%%EXTRA%%%%DATADIR%%/to/CCCII
 %%EXTRA%%%%DATADIR%%/to/_CNS11643
 %%EXTRA%%%%DATADIR%%/to/_CNS11643.so
 %%EXTRA%%%%DATADIR%%/to/_GB2312
 %%EXTRA%%%%DATADIR%%/to/_UAO241
-@dirrmtry %%DATADIR%%/to
-@dirrmtry %%DATADIR%%/inter
 @dirrmtry %%DATADIR%%/from
+@dirrmtry %%DATADIR%%/inter
+@dirrmtry %%DATADIR%%/to
 @dirrmtry %%DATADIR%%

Modified: head/converters/p5-bsdconv/Makefile
==============================================================================
--- head/converters/p5-bsdconv/Makefile	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/p5-bsdconv/Makefile	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,16 +1,11 @@
-# New ports collection makefile for:	p5-bsdconv
-# Date created:				29 May 2009
-# Whom:	      				buganini@gmail.com
-#
+# Created by: buganini@gmail.com
 # $FreeBSD$
-#
 
 PORTNAME=	bsdconv
-PORTVERSION=	7.2
+PORTVERSION=	9.0
 CATEGORIES=	converters perl5
-MASTER_SITES=	https://github.com/buganini/perl-${PORTNAME}/tarball/${PORTVERSION}/
 PKGNAMEPREFIX=	p5-
-DISTNAME=	buganini-${PORTNAME}-${PORTVERSION}-0-g${GITVERSION}
+DISTNAME=	buganini-${GH_PROJECT}-${PORTVERSION}-0-g${GH_COMMIT}
 
 MAINTAINER=	buganini@gmail.com
 COMMENT=	Perl wrapper for bsdconv
@@ -19,9 +14,10 @@ LICENSE=	BSD
 
 LIB_DEPENDS=	bsdconv:${PORTSDIR}/converters/bsdconv
 
-GITVERSION=	0da681c
-FETCH_ARGS=	-pRr
-WRKSRC=		${WRKDIR}/buganini-perl-${PORTNAME}-${GITVERSION}
+USE_GITHUB=	yes
+GH_ACCOUNT=	buganini
+GH_PROJECT=	perl-${PORTNAME}
+GH_COMMIT=	c98a201
 
 PERL_CONFIGURE=	yes
 

Modified: head/converters/p5-bsdconv/distinfo
==============================================================================
--- head/converters/p5-bsdconv/distinfo	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/p5-bsdconv/distinfo	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,2 +1,2 @@
-SHA256 (buganini-bsdconv-7.2-0-g0da681c.tar.gz) = 8172f046ae393bd818a5f360ebac7bf18426800a1979eecf08321bcfa800069a
-SIZE (buganini-bsdconv-7.2-0-g0da681c.tar.gz) = 43211
+SHA256 (buganini-perl-bsdconv-9.0-0-gc98a201.tar.gz) = 11afd766985d007ca2304f96b6bb383bf818f1595f57320dfc3ed74caad7dc1f
+SIZE (buganini-perl-bsdconv-9.0-0-gc98a201.tar.gz) = 43745

Modified: head/converters/php5-bsdconv/Makefile
==============================================================================
--- head/converters/php5-bsdconv/Makefile	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/php5-bsdconv/Makefile	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,16 +1,11 @@
-# Ports collection makefile for:  php5-bsdconv
-# Date created:			  23 May 2009
-# Whom:				  buganini@gmail.com
-#
+# Created by: buganini@gmail.com
 # $FreeBSD$
-#
 
 PORTNAME=	bsdconv
-PORTVERSION=	7.3
+PORTVERSION=	9.0
 CATEGORIES=	converters
-MASTER_SITES=	https://github.com/buganini/php-${PORTNAME}/tarball/${PORTVERSION}/
 PKGNAMEPREFIX=	php5-
-DISTNAME=	buganini-${PORTNAME}-${PORTVERSION}-0-g${GITVERSION}
+DISTNAME=	buganini-${GH_PROJECT}-${PORTVERSION}-0-g${GH_COMMIT}
 
 MAINTAINER=	buganini@gmail.com
 COMMENT=	PHP wrapper for bsdconv
@@ -19,9 +14,10 @@ LICENSE=	BSD
 
 LIB_DEPENDS=	bsdconv:${PORTSDIR}/converters/bsdconv
 
-GITVERSION=	a3bad63
-FETCH_ARGS=	-pRr
-WRKSRC=		${WRKDIR}/buganini-php-${PORTNAME}-${GITVERSION}
+USE_GITHUB=	yes
+GH_ACCOUNT=	buganini
+GH_PROJECT=	php-${PORTNAME}
+GH_COMMIT=	314309f
 
 USE_PHP=	yes
 USE_PHPEXT=	yes

Modified: head/converters/php5-bsdconv/distinfo
==============================================================================
--- head/converters/php5-bsdconv/distinfo	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/php5-bsdconv/distinfo	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,2 +1,2 @@
-SHA256 (buganini-bsdconv-7.3-0-ga3bad63.tar.gz) = df361f33a9cc8105bc408cdd0b82fa1eae653df96a17a1ab3d9b4c253aae8019
-SIZE (buganini-bsdconv-7.3-0-ga3bad63.tar.gz) = 6541
+SHA256 (buganini-php-bsdconv-9.0-0-g314309f.tar.gz) = cb20b8c1f6a6b9b0ca07f2e5f25762564a0ed04be1f67d6ebc1d4b2127a2ff64
+SIZE (buganini-php-bsdconv-9.0-0-g314309f.tar.gz) = 7419

Modified: head/converters/py-bsdconv/Makefile
==============================================================================
--- head/converters/py-bsdconv/Makefile	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/py-bsdconv/Makefile	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,16 +1,11 @@
-# New ports collection makefile for:	py-bsdconv
-# Date created:				11 Oct 2009
-# Whom:					buganini@gmail.com
-#
+# Created by: buganini@gmail.com
 # $FreeBSD$
-#
 
 PORTNAME=	bsdconv
-PORTVERSION=	7.5
+PORTVERSION=	9.0
 CATEGORIES=	converters python
-MASTER_SITES=	https://github.com/buganini/python-${PORTNAME}/tarball/${PORTVERSION}/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	buganini-${PORTNAME}-${PORTVERSION}-0-g${GITVERSION}
+DISTNAME=	buganini-${GH_PROJECT}-${PORTVERSION}-0-g${GH_COMMIT}
 
 MAINTAINER=	buganini@gmail.com
 COMMENT=	Python wrapper for bsdconv
@@ -19,9 +14,11 @@ LICENSE=	BSD
 
 LIB_DEPENDS=	bsdconv:${PORTSDIR}/converters/bsdconv
 
-GITVERSION=	e203c4a
-FETCH_ARGS=	-pRr
-WRKSRC=		${WRKDIR}/buganini-python-${PORTNAME}-${GITVERSION}
+USE_GITHUB=	yes
+GH_ACCOUNT=	buganini
+GH_PROJECT=	python-${PORTNAME}
+GH_COMMIT=	2fcf39c
+
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PLIST_SUB=	PYTHON_SITELIBDIR=${PYTHON_SITELIBDIR:S|^${LOCALBASE}/||g}

Modified: head/converters/py-bsdconv/distinfo
==============================================================================
--- head/converters/py-bsdconv/distinfo	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/py-bsdconv/distinfo	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,2 +1,2 @@
-SHA256 (buganini-bsdconv-7.5-0-ge203c4a.tar.gz) = f4ac0e8eaad8665b2ee32fe0bfd1206ee8c9ed1bd304b2b9e10cf8ce4a4de99c
-SIZE (buganini-bsdconv-7.5-0-ge203c4a.tar.gz) = 4329
+SHA256 (buganini-python-bsdconv-9.0-0-g2fcf39c.tar.gz) = 6a8987eb37368ad4a28544fd1b72cacf05de6773035457e1511a97333a735534
+SIZE (buganini-python-bsdconv-9.0-0-g2fcf39c.tar.gz) = 5019

Modified: head/converters/ruby-bsdconv/Makefile
==============================================================================
--- head/converters/ruby-bsdconv/Makefile	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/ruby-bsdconv/Makefile	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,16 +1,11 @@
-# New ports collection makefile for:	ruby-bsdconv
-# Date created:		13 Oct 2011
-# Whom:			buganini@gmail.com
-#
+# Created by: buganini@gmail.com
 # $FreeBSD$
-#
 
 PORTNAME=	bsdconv
-PORTVERSION=	7.1
+PORTVERSION=	9.0
 CATEGORIES=	converters ruby
-MASTER_SITES=	https://github.com/buganini/ruby-${PORTNAME}/tarball/${PORTVERSION}/
 PKGNAMEPREFIX=	${RUBY_PKGNAMEPREFIX}
-DISTNAME=	buganini-${PORTNAME}-${PORTVERSION}-0-g${GITVERSION}
+DISTNAME=	buganini-${GH_PROJECT}-${PORTVERSION}-0-g${GH_COMMIT}
 
 MAINTAINER=	buganini@gmail.com
 COMMENT=	Ruby wrapper for bsdconv
@@ -22,8 +17,9 @@ LIB_DEPENDS=	bsdconv:${PORTSDIR}/convert
 USE_RUBY=	yes
 USE_RUBY_EXTCONF=	yes
 
-GITVERSION=	a3437bf
-FETCH_ARGS=	-pRr
-WRKSRC=		${WRKDIR}/buganini-ruby-${PORTNAME}-${GITVERSION}
+USE_GITHUB=	yes
+GH_ACCOUNT=	buganini
+GH_PROJECT=	ruby-${PORTNAME}
+GH_COMMIT=	7bc3d11
 
 .include <bsd.port.mk>

Modified: head/converters/ruby-bsdconv/distinfo
==============================================================================
--- head/converters/ruby-bsdconv/distinfo	Mon Oct  8 15:47:24 2012	(r305540)
+++ head/converters/ruby-bsdconv/distinfo	Mon Oct  8 16:12:07 2012	(r305541)
@@ -1,2 +1,2 @@
-SHA256 (buganini-bsdconv-7.1-0-ga3437bf.tar.gz) = 92c5ee5d5843f3ad5065af66d085fb00ddedfb47fe30181f476d04053710de58
-SIZE (buganini-bsdconv-7.1-0-ga3437bf.tar.gz) = 2141
+SHA256 (buganini-ruby-bsdconv-9.0-0-g7bc3d11.tar.gz) = 904f89f76e23dbbd8a9956f37242f1769ed528b70de226dc311f12cdfd081625
+SIZE (buganini-ruby-bsdconv-9.0-0-g7bc3d11.tar.gz) = 2802
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"